#ifndef CHAMPDEBATAILLE_H_INCLUDED
#define CHAMPDEBATAILLE_H_INCLUDED

/*Description:
Le champ de bataille contient et gre tous les ennemis
prsents.
*/

#include <iostream>
#include <SDL.h>
#include "Helico.h"
#include "Joueur.h"
#include "takeRand.h"
#include "menuFire.h"

class ChampDeBataille
{
    public:
    ChampDeBataille(Joueur* cible,SDL_Surface* ecran,int niveauDeDifficulte);
    ~ChampDeBataille();
    void afficher();

    private:
    SDL_Surface* m_ecran;
    Joueur* m_cible;
    int m_niveauDeDifficulte;
    Helico* m_slotsHelico[30];
    BossOne* m_bossOne;
};

#endif // CHAMPDEBATAILLE_H_INCLUDED
