#ifndef ICONES_H_INCLUDED
#define ICONES_H_INCLUDED

/*Description:
Permet de crer des icones cliquables.
*/

#include <iostream>
#include <string>
#include <SDL.h>
#include "Cliquable.h"
#include "Joueur.h"//Include pour utiliser l'objet Joueur

class Icones : public Cliquable
{
    public:
    Icones(int x, int y,int choixArme,std::string armeAssignee, SDL_Surface* ecran, Joueur* lanceur);
    ~Icones();
    void afficher();//Affiche l'icone et appelle "clic" si le clic gauche vient d'tre effectu
    void clic();//Attribue l'arme associe au joueur proprio si le clic est bien sur l'icone.

    private:
    SDL_Surface* m_ecran;//Pour les blits
    SDL_Surface* imageIcone;
    SDL_Rect m_positionIcone;
    Joueur* proprio;
    //Limite autre hritage
    std::string m_armeAssignee;
};


#endif // ICONES_H_INCLUDED
